%define upstream_name Horde_Pdf
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.0.2
Release:     	%mkrel 1
Summary:    	Horde Authentication API
License:    	LGPL
Group:       	Networking/Mail
Url:         	http://pear.horde.org/package/%{upstream_name}
Source0:    	Source0: http://pear.horde.org/get/%{upstream_name}-%{version}.tgz
BuildArch:  	noarch
Requires:    	php-pear
Requires:  	php-pear-Horde_Exception <= 2.0.0 
Conflicts: 	php-pear-Horde_Exception = 2.0.0
BuildRequires:	php-pear
BuildRequires: 	php-pear-channel-horde
Provides:      	php-pear-Horde_Pdf

%description
This package provides PDF generation using only PHP, without requiring any
external libraries.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .

# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Horde_Pdf.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Horde_Pdf.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/Horde_Pdf
fi

%files
%defattr(-,root,root)
%doc docs/Horde_Pdf/COPYING
%{peardir}/Horde/Pdf/Exception.php
%{peardir}/Horde/Pdf/Font/Courier.php
%{peardir}/Horde/Pdf/Font/Courierb.php
%{peardir}/Horde/Pdf/Font/Courierbi.php
%{peardir}/Horde/Pdf/Font/Courieri.php
%{peardir}/Horde/Pdf/Font/Helvetica.php
%{peardir}/Horde/Pdf/Font/Helveticab.php
%{peardir}/Horde/Pdf/Font/Helveticabi.php
%{peardir}/Horde/Pdf/Font/Helveticai.php
%{peardir}/Horde/Pdf/Font/Symbol.php
%{peardir}/Horde/Pdf/Font/Times.php
%{peardir}/Horde/Pdf/Font/Timesb.php
%{peardir}/Horde/Pdf/Font/Timesbi.php
%{peardir}/Horde/Pdf/Font/Timesi.php
%{peardir}/Horde/Pdf/Font/Zapfdingbats.php
%{peardir}/Horde/Pdf/Writer.php
%{peardir}/tests/Horde_Pdf/Horde/Pdf/AllTests.php
%{peardir}/tests/Horde_Pdf/Horde/Pdf/WriterTest.php
%{peardir}/tests/Horde_Pdf/Horde/Pdf/fixtures/20k_c1.txt
%{peardir}/tests/Horde_Pdf/Horde/Pdf/fixtures/20k_c2.txt
%{peardir}/tests/Horde_Pdf/Horde/Pdf/fixtures/auto_break.pdf
%{peardir}/tests/Horde_Pdf/Horde/Pdf/fixtures/change_page.pdf
%{peardir}/tests/Horde_Pdf/Horde/Pdf/fixtures/header_footer_styles.pdf
%{peardir}/tests/Horde_Pdf/Horde/Pdf/fixtures/hello_world_compressed.pdf
%{peardir}/tests/Horde_Pdf/Horde/Pdf/fixtures/hello_world_uncompressed.pdf
%{peardir}/tests/Horde_Pdf/Horde/Pdf/fixtures/horde-power1.png
%{peardir}/tests/Horde_Pdf/Horde/Pdf/fixtures/links.pdf
%{peardir}/tests/Horde_Pdf/Horde/Pdf/fixtures/text_color.pdf
%{peardir}/tests/Horde_Pdf/Horde/Pdf/fixtures/underline.pdf
%{xmldir}/Horde_Pdf.xml


%changelog

* Mon Nov 07 2011 spuhler <spuhler> 1.0.2-1.mga2
+ Revision: 164643
- upgrade to 1.0.2
- imported package php-pear-Horde_Pdf

